#
# spec file for package openhpi-subagent (Version 2.3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    OpenIPMI OpenIPMI-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-toys docbook-utils docbook_3 docbook_4 e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv iso_ent jadetex klogd latex-ucs less libacl libart_lgpl libattr libcom_err libgcc libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libzio logrotate m4 make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openhpi openhpi-daemon openhpi-devel openjade openldap2-client opensp openssl openssl-devel pam pam-modules patch perl perl-SGMLS perl-TermReadKey permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel rrdtool sed sensors sgml-skel strace sysfsutils sysvinit tar tcpd tcpd-devel te_latex tetex texinfo timezone udev unzip util-linux vim zlib zlib-devel

Name:           openhpi-subagent
BuildRequires:  docbook-toys docbook-utils openhpi-devel tcpd-devel
Summary:        Hardware Platform Interface SNMP backend
Version:        2.3.3
Release:        8.2
License:        BSD
URL:            http://openhpi.sourceforge.net/
Source:         openhpi-subagent-%{version}.tar.bz2
Patch0:         openhpi-subagent-2.3.1.patch
Patch3:         openhpi-subagent-2.3.2_mixed_declarations.patch
Summary:        Hardware Platform Interface SNMP backend
Group:          Productivity/Networking/Other
AutoReq: yes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
This is an implementation of the Service Availability Forum's Hardware
Platform Interface SNMP sub-agent.

Through this subagent one can includes support for multiple different
types of hardware including: IPMI, IBM Blade Center (via SNMP), Linux
Watchdog devices, and Sysfs based systems.



Authors:
--------
    Konrad Rzeszutek <konradr at us dot ibm dot com>

%debug_package
%prep
%setup
%patch
%patch3

%build
autoreconf --install --force
%configure
%{__make}
%{__make} -C docs subagent-manual/book1.html

%install

%makeinstall
%{__install} -m 0755 -Dd              \
    %{buildroot}/etc/init.d           \
    %{buildroot}%{_sbindir}           \
    %{buildroot}%{_datadir}/snmp/mibs
# install mib
%{__install} -m 0644 mib/HPI-B0101-MIB.mib %{buildroot}%{_datadir}/snmp/mibs/HPI-MIB.txt
# install init scripts
%{__install} -m 0744 openhpi-subagent.rc %{buildroot}/etc/init.d/openhpi-subagent
%{__ln_s} -f /etc/init.d/openhpi-subagent %{buildroot}%{_sbindir}/rcopenhpi-subagent

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog TODO
%doc docs/subagent-manual
%dir /etc/snmp
%config /etc/snmp/hpiSubagent.conf
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/HPI-MIB.txt
/etc/init.d/openhpi-subagent
%{_bindir}/hpi*
%{_sbindir}/rcopenhpi-subagent

%clean
%{__rm} -rf %{buildroot}

%changelog -n openhpi-subagent
* Tue Mar 28 2006 - mrueckert@suse.de
- update to 2.3.3
  o Changed %%d to %%lld in DEBUGMSTL message in
  saHpiEventLogInfoTable.c
  o Added SNMPFLAGS=`net-snmp-config --cflags | sed -e \
  's/-Wdeclaration-after-statement//g'` to acinclude.m4
  this update fixes a few build errors that are caused with a bug
  in perl.
- removed openhpi-subagent-2.3.1_no-Werror.patch:
  this is now handled within the configure script.
* Mon Feb 06 2006 - mrueckert@suse.de
- added openhpi-subagent-2.3.2_mixed_declarations.patch
  o fixes gcc warnings about mixed declarations.
* Sun Feb 05 2006 - mrueckert@suse.de
- update to 2.3.2
  o Replaced "poisoned" sprintf with snprintf.
  o Fixed gcc compiler warning by changing %%d to %%lld.
- net-snmp-config properly passes the -lwrap so we dont need to
  patch configure.ac anymore
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - mrueckert@suse.de
- disable -Werror for now
* Mon Nov 07 2005 - mrueckert@suse.de
- Update to version 2.2.1
  fixes build warnings on x86_64
* Mon Oct 10 2005 - mrueckert@suse.de
- submit latest package for sles9 to
  adapt the openhpi base package update.
* Tue Jul 26 2005 - mrueckert@suse.de
- build html documentation
- install mib file into the correct place
- source pkgconfig settings so we find all libs
* Mon Jun 06 2005 - mrueckert@suse.de
- Update to version 2.0.0
* Wed May 12 2004 - nashif@suse.de
- Initial release (0.7)
